### Method

# WebKit2 WebContext download_uri

#### Declaration [src]

    WebKitDownload*
    webkit_web_context_download_uri (
      WebKitWebContext* context,
      const gchar* uri
    )

#### Description [src]

Requests downloading of the specified URI string.

The download operation will not be associated to any `WebKitWebView`, if you are interested in starting a download from a particular `WebKitWebView` use `webkit_web_view_download_uri()` instead.

#### Parameters

`uri`

  Type: `const gchar*`

  The URI to download.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDownload`

A new `WebKitDownload` representing the download operation.

The caller of the method takes ownership of the data, and is responsible for freeing it.